AtomIteratorWithinModelSet
Date: 2019-10-22

org.jmol.modelset

## Class AtomIteratorWithinModelSet

- java.lang.Object
- - org.jmol.modelset.AtomIteratorWithinModel
  - - org.jmol.modelset.AtomIteratorWithinModelSet

- All Implemented Interfaces:
    AtomIndexIterator

      public class AtomIteratorWithinModelSet
      extends AtomIteratorWithinModel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javajs.util.BS` | `bsModels`
    `private javajs.util.T3` | `center`
    `private float` | `distance`

    - ### Fields inherited from class org.jmol.modelset.AtomIteratorWithinModel

      `bspf, cubeIterator, modelIndex`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AtomIteratorWithinModelSet(javajs.util.BS bsModels)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `private boolean` | `set(int iModel)`
    `void` | `setCenter(javajs.util.T3 center, float distance)`

    - ### Methods inherited from class org.jmol.modelset.AtomIteratorWithinModel

      `addAtoms, foundDistance2, getPosition, hasNext2, initialize, next, release, setCenter2, setModel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bsModels

          private javajs.util.BS bsModels

    - #### center

          private javajs.util.T3 center

    - #### distance

          private float distance

  - ### Constructor Detail

    - #### AtomIteratorWithinModelSet

          public AtomIteratorWithinModelSet(javajs.util.BS bsModels)

  - ### Method Detail

    - #### setCenter

          public void setCenter(javajs.util.T3 center,
                                float distance)

      Specified by:
        `setCenter` in interface `AtomIndexIterator`
      Overrides:
        `setCenter` in class `AtomIteratorWithinModel`

    - #### set

          private boolean set(int iModel)

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `AtomIndexIterator`
      Overrides:
        `hasNext` in class `AtomIteratorWithinModel`